Bug 244366 - databases/sqlite3: Enable JSON1 by default
Summary: databases/sqlite3: Enable JSON1 by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks: 244279
  Show dependency treegraph
 
Reported: 2020-02-24 13:13 UTC by Sascha Biberhofer
Modified: 2020-04-22 10:53 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
databases/sqlite3: include json1 support by default (594 bytes, patch)
2020-03-05 13:11 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2020-02-24 13:13:01 UTC
The most recent version of our net-im/py-matrix-synapse port requires json1 support for sqlite3. 

Can we include this in the default options for the sqlite3 port? Otherwise people relying on packages and using synapse w/ sqlite3 cannot upgrade past 1.11.0. I'm also open to other suggestions.
Comment 1 Sascha Biberhofer 2020-03-05 13:11:30 UTC
Created attachment 212156 [details]
databases/sqlite3: include json1 support by default

I've attached a trivial patch to enable JSON1 support by default for the databases/sqlite3 port. 

This...

- ... doesn't incur any additional dependencies
- ... resolves this bug and allows us to move forward with updating py-matrix-synapse
- ... seems like the most trivial solution for this current problem


Can we get this committed? There's a security critical update for py-matrix-synapse that is waiting for any action on this issue. I'm completely open for suggestions on how to resolve this differently, but I'd like to move on this rather quickly for obvious reasons.
Comment 2 Bernhard Froehlich freebsd_committer 2020-03-11 12:48:22 UTC
I've checked a few Linux distributions about the status of the json extension. At least the following have it enabled:

- Debian (buster)
- OpenSuse
- ArchLinux
- Alpine Linux

In the ArchLinux PKGBUILD [1] there is a comment "json extensions breaks parallel build" where I am not sure if that is still valid.

[1] https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/sqlite

Technically we already have a maintainer timeout but i'll prefer to wait a few more days to hopefully get some feedback from the maintainer.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-13 04:20:33 UTC
Since the matrix-synapse update in bug 244279  needs to be MFH's (security update), this will need to be merged too

Is more comprehensize QA (such as an exp-run) required or indicated given the number of consumers of sqlite?
Comment 4 Pavel Volkov 2020-03-18 13:21:38 UTC
Hello. I'm added this path to PR#243602. Please check it status.
(https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243602)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-20 10:41:08 UTC
This issue doesn't need to be blocked by a version update (bug 243602), and in fact needs to be separate from one, as the matrix synapse update in bug 244279 needs to be merged to the quarterly branch (security release).

Since the option addition was provided in a maintainer patch in bug 243602, this is implicitly approved (its the same change)

@decke Are you good to QA this change and commit so we can unblock the matrix-synapse update? Let me know if there's anything I can do to help

Note: It's probably worth adding a comment to the patch near the options block to mention that matrix-synapse requires it, and we have no other way to do that (short of a special slave port that conflicts with this one.
Comment 6 commit-hook freebsd_committer 2020-04-21 12:49:12 UTC
A commit references this bug:

Author: dbaio
Date: Tue Apr 21 12:48:59 UTC 2020
New revision: 532268
URL: https://svnweb.freebsd.org/changeset/ports/532268

Log:
  databases/sqlite3: Set JSON1 option as default

  JSON1 is required for net-im/py-matrix-synapse.

  PR:		244366
  PR:		243602
  Submitted by:	Sascha Biberhofer <ports@skyforge.at>
  Approved by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  MFH:		2020Q2

Changes:
  head/databases/sqlite3/Makefile
Comment 7 commit-hook freebsd_committer 2020-04-22 10:51:19 UTC
A commit references this bug:

Author: dbaio
Date: Wed Apr 22 10:50:37 UTC 2020
New revision: 532464
URL: https://svnweb.freebsd.org/changeset/ports/532464

Log:
  MFH: r532268

  databases/sqlite3: Set JSON1 option as default

  JSON1 is required for net-im/py-matrix-synapse.

  PR:		244366
  PR:		243602
  Submitted by:	Sascha Biberhofer <ports@skyforge.at>
  Approved by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/databases/sqlite3/Makefile
Comment 8 Danilo G. Baio freebsd_committer 2020-04-22 10:53:55 UTC
Committed, thank you all!